KDE 4.5 PyKDE API Reference

- KDE's Python API

# SunLocator Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble.SunLocator

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| centerSun ()
| enableWidgetInput (, bool a0)
| updateStars ()
| updateSun ()

## Methods

| centerSun (self)
| enableWidgetInput (self, bool a0)
bool | getCentered (self)
bool | getCitylights (self)
float | getLat (self)
float | getLon (self)
bool | getShow (self)
Marble.Planet | planet (self)
| setCentered (self, bool show)
| setCitylights (self, bool show)
| setPlanet (self, Marble.Planet planet)
| setShow (self, bool show)
| shadePixel (self, QRgb pixcol, float shade)
| shadePixelComposite (self, QRgb pixcol, QRgb dpixcol, float shade)
float | shading (self, float lon, float a, float c)
| update (self)
| updateStars (self)
| updateSun (self)

## Method Documentation

centerSun | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerSun()"), target_slot)`

enableWidgetInput | ( | self, |
|  | bool | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("enableWidgetInput(bool)"), target_slot)`

bool getCentered | ( |  | self ) |

bool getCitylights | ( |  | self ) |

float getLat | ( |  | self ) |

float getLon | ( |  | self ) |

bool getShow | ( |  | self ) |

Marble.Planet planet | ( |  | self ) |

setCentered | ( | self, |
|  | bool | show
| ) |  |  |

setCitylights | ( | self, |
|  | bool | show
| ) |  |  |

setPlanet | ( | self, |
|  | Marble.Planet | planet
| ) |  |  |

setShow | ( | self, |
|  | bool | show
| ) |  |  |

shadePixel | ( | self, |
|  | QRgb | pixcol,
|  | float | shade
| ) |  |  |

shadePixelComposite | ( | self, |
|  | QRgb | pixcol,
|  | QRgb | dpixcol,
|  | float | shade
| ) |  |  |

float shading | ( | self, |
|  | float | lon,
|  | float | a,
|  | float | c
| ) |  |  |

update | ( |  | self ) |

updateStars | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateStars()"), target_slot)`

updateSun | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("updateSun()"), target_slot)`